---
layout: default
title: ELL Tutorials
permalink: /tutorials/
---

# ELL Tutorials

## Setting Up

* [Raspberry Pi Setup](/ELL/tutorials/Raspberry-Pi-setup)
* [Active cooling your Raspberry Pi 3](/ELL/tutorials/Active-cooling-your-Raspberry-Pi-3)

## Image Classification Tutorials in Python

* [Getting started with image classification on the Raspberry Pi](/ELL/tutorials/Getting-started-with-image-classification-on-the-Raspberry-Pi/)
* [Boosting classifier accuracy by grouping categories](/ELL/tutorials/Boosting-classifier-accuracy-by-grouping-categories/)
* [Importing models](/ELL/tutorials/Importing-models/)
* [Comparing image classification models side by side on the Raspberry Pi](/ELL/tutorials/Comparing-image-classification-models-side-by-side-on-the-Raspberry-Pi/)
* [Repurposing a pretrained image classifier](/ELL/tutorials/Repurposing-a-pretrained-image-classifier/)
* [Getting started with object detection using region of interest networks](/ELL/tutorials/Getting-started-with-object-detection-using-region-of-interest-networks/)

## Image Classification Tutorials in C++
* [Getting started with image classification on the Raspberry Pi in C++](/ELL/tutorials/Getting-started-with-image-classification-in-cpp/)

## Audio Classification Tutorials in Python

* [Getting started with audio keyword spotting on the Raspberry Pi](/ELL/tutorials/Getting-started-with-audio-keyword-spotting-on-the-Raspberry-Pi/)
* [Training an audio keyword spotter with PyTorch](/ELL/tutorials/Training-audio-keyword-spotter-with-pytorch/)
