# Title [example: Getting started with image classification on Raspberry Pi]

by [names]

For more guidance, review the *ELL Tutorial Style Guide*. Use this section to provide an overview of the goal and the expected results. For example:

This tutorial explains how to get started with image classification on Raspberry Pi, including instructions detailing how to:

- Download a pre-trained image classification model from the ELL gallery to a laptop or desktop computer.
- Compile the model and wrap it in a Python module.
- Write a simple Python script that captures images from the Raspberry Pi&#39;s camera and sends them to the Python module for classification.

# Before you begin [capitalize the first word and proper nouns in all headings]

Explain in paragraph or list form all tasks or knowledge that reader must have completed before starting the project. For example:

Before you begin this tutorial, make sure you have completed the following:

- Install ELL on your computer (Windows, Ubuntu Linux, macOS).
- Follow the instructions for setting up your Raspberry Pi.

## Required materials

In this section, include a bulleted list all required materials (hardware, software, etc.). For example:

Make sure you have the following materials before you begin this tutorial:

• Laptop or desktop computer

• Raspberry Pi 3

• Raspberry Pi camera or USB webcam

• Optional: Active cooling attachment (see our tutorial on cooling your Pi)

## Activity title [e.g., Activate your environment]

For each major task involved in the tutorial, create a section that includes introductory text that orients the reader to the task, followed by the appropriate code snippet (when applicable).

Follow the [ELL Style Guide](https://github.com/Microsoft/ELL/blob/master/StyleGuide.md) for code snippets and samples. When you reference elements or parameters in a paragraph, format the item accordingly; for example: `over\_voltage`

When you want a reader to type code, use the following formatting:

- Use `back-ticks` around inline `code`.

- For blocks of code, start and end the code block with three back-ticks.

## Results

Use this section to summarize the expected results of the tutorial.

## Next steps

Use this section to explain natural follow-on procedures, adding links and resources as applicable.

## Troubleshooting

Use this section, if applicable, to list common problems and solutions for any of the steps in the tutorial. Format the problem in bold and the solution in normal text. For example:

**ImportError: No module named &#39;numpy&#39;**

You probably forgot to activate your Miniconda environment using source activate py34. See Miniconda instructions above.